com.jscape.inet.mft.resources

## Class SftpResourceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.resources.SftpResourceDescriptor

- All Implemented Interfaces:
    com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>, com.jscape.util.db.IntVersioned, ResourceDescriptor

      public class SftpResourceDescriptor
      extends java.lang.Object
      implements com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>

  SFTP resource descriptor. Contains information about remote SFTP connection.
  Author:
    Alex

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SftpResourceDescriptor.Handler`

    - ### Nested classes/interfaces inherited from interface com.jscape.inet.mft.resources.RemoteResourceDescriptor

      `com.jscape.inet.mft.resources.RemoteResourceDescriptor.HandlerBase`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SftpResourceDescriptor()` Creates a new descriptor instance.
    `SftpResourceDescriptor(SftpResourceDescriptor that)`
    `SftpResourceDescriptor(java.lang.String name, java.lang.String host, int port, long timeout, boolean tcpNoDelayEnabled, com.jscape.inet.vfs.KeyProvider keyProvider, com.jscape.inet.vfs.KeyProvider hostKeyProvider, java.lang.String username, java.lang.String password, boolean usingCredentials, boolean useAdaptiveConnection, boolean startSubsystemReplyRequired, com.jscape.inet.mft.RemoteDirectory remoteDirectory, java.lang.String logDirectory, java.lang.Long timeToLive, java.lang.String[] tags, long creationDate, int version)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(SftpResourceDescriptor.Handler handler)`
    `SftpResourceDescriptor` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `long` | `getCreationDate()`
    `java.lang.String` | `getHost()` Returns server hostname/IP.
    `com.jscape.inet.vfs.KeyProvider` | `getHostKeyProvider()` Returns a host key provider instance.
    `com.jscape.inet.vfs.KeyProvider` | `getKeyProvider()` Returns a key provider instance.
    `java.lang.String` | `getLogDirectory()`
    `java.lang.String` | `getName()` Returns resource name.
    `java.lang.String` | `getPassword()` Returns connection password.
    `int` | `getPort()` Returns server port.
    `java.lang.String` | `getProtocol()`
    `com.jscape.inet.mft.RemoteDirectory` | `getRemoteDirectory()`
    `java.lang.String[]` | `getTags()`
    `long` | `getTimeout()`
    `java.lang.Long` | `getTimeToLive()`
    `java.lang.String` | `getUsername()` Returns username.
    `int` | `getVersion()`
    `int` | `hashCode()`
    `boolean` | `isStartSubsystemReplyRequired()`
    `boolean` | `isTcpNoDelayEnabled()`
    `boolean` | `isUseAdaptiveConnection()`
    `boolean` | `isUsingCredentials()` Returns use user credentials indicator.
    `void` | `setCreationDate(long value)`
    `void` | `setHost(java.lang.String value)` Sets server hostname/IP.
    `void` | `setHostKeyProvider(com.jscape.inet.vfs.KeyProvider value)` Sets a host key provider instance.
    `void` | `setKey(java.lang.String value)`
    `void` | `setKeyProvider(com.jscape.inet.vfs.KeyProvider value)` Sets a key provider instance.
    `void` | `setLogDirectory(java.lang.String value)`
    `void` | `setName(java.lang.String value)` Sets resource name.
    `void` | `setPassword(java.lang.String value)` Sets connection password.
    `void` | `setPort(int value)` Sets server port.
    `void` | `setRemoteDirectory(com.jscape.inet.mft.RemoteDirectory value)`
    `void` | `setStartSubsystemReplyRequired(boolean value)`
    `void` | `setTags(java.lang.String[] value)`
    `void` | `setTcpNoDelayEnabled(boolean value)`
    `void` | `setTimeout(long value)`
    `void` | `setTimeToLive(java.lang.Long value)`
    `void` | `setUseAdaptiveConnection(boolean value)`
    `void` | `setUsername(java.lang.String value)` Sets username.
    `void` | `setUsingCredentials(boolean value)` Sets use user credentials.
    `void` | `setVersion(int value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SftpResourceDescriptor

          public SftpResourceDescriptor(java.lang.String name,
                                        java.lang.String host,
                                        int port,
                                        long timeout,
                                        boolean tcpNoDelayEnabled,
                                        com.jscape.inet.vfs.KeyProvider keyProvider,
                                        com.jscape.inet.vfs.KeyProvider hostKeyProvider,
                                        java.lang.String username,
                                        java.lang.String password,
                                        boolean usingCredentials,
                                        boolean useAdaptiveConnection,
                                        boolean startSubsystemReplyRequired,
                                        com.jscape.inet.mft.RemoteDirectory remoteDirectory,
                                        java.lang.String logDirectory,
                                        java.lang.Long timeToLive,
                                        java.lang.String[] tags,
                                        long creationDate,
                                        int version)

    - #### SftpResourceDescriptor

          public SftpResourceDescriptor(SftpResourceDescriptor that)

    - #### SftpResourceDescriptor

          public SftpResourceDescriptor()

      Creates a new descriptor instance.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns resource name.
      Specified by:
        `getName` in interface `ResourceDescriptor`
      Returns:
        resource name

    - #### setName

          public void setName(java.lang.String value)

      Sets resource name.
      Parameters:
        `value` - the resource name

    - #### getHost

          public java.lang.String getHost()

      Returns server hostname/IP.
      Specified by:
        `getHost` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>`
      Returns:
        server hostname/IP

    - #### getProtocol

          public java.lang.String getProtocol()

      Specified by:
        `getProtocol` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>`

    - #### setHost

          public void setHost(java.lang.String value)

      Sets server hostname/IP.
      Parameters:
        `value` - the server hostname/IP

    - #### getPort

          public int getPort()

      Returns server port.
      Returns:
        server port

    - #### setPort

          public void setPort(int value)

      Sets server port.
      Parameters:
        `value` - the server port

    - #### getTimeout

          public long getTimeout()

    - #### setTimeout

          public void setTimeout(long value)

    - #### isTcpNoDelayEnabled

          public boolean isTcpNoDelayEnabled()

    - #### setTcpNoDelayEnabled

          public void setTcpNoDelayEnabled(boolean value)

    - #### getKeyProvider

          public com.jscape.inet.vfs.KeyProvider getKeyProvider()

      Returns a key provider instance.
      Returns:
        a key provider instance

    - #### setKeyProvider

          public void setKeyProvider(com.jscape.inet.vfs.KeyProvider value)

      Sets a key provider instance.
      Parameters:
        `value` - a key provider instance

    - #### setKey

          public void setKey(java.lang.String value)

    - #### getHostKeyProvider

          public com.jscape.inet.vfs.KeyProvider getHostKeyProvider()

      Returns a host key provider instance.
      Returns:
        a host key provider instance

    - #### setHostKeyProvider

          public void setHostKeyProvider(com.jscape.inet.vfs.KeyProvider value)

      Sets a host key provider instance.
      Parameters:
        `value` - a host key provider instance

    - #### getUsername

          public java.lang.String getUsername()

      Returns username.
      Specified by:
        `getUsername` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>`
      Returns:
        username

    - #### setUsername

          public void setUsername(java.lang.String value)

      Sets username.
      Specified by:
        `setUsername` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>`
      Parameters:
        `value` - the username

    - #### getPassword

          public java.lang.String getPassword()

      Returns connection password.
      Specified by:
        `getPassword` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>`
      Returns:
        connection password

    - #### setPassword

          public void setPassword(java.lang.String value)

      Sets connection password.
      Specified by:
        `setPassword` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>`
      Parameters:
        `value` - the connection password

    - #### isUsingCredentials

          public boolean isUsingCredentials()

      Returns use user credentials indicator.
      Specified by:
        `isUsingCredentials` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>`
      Returns:
        `true` user will authenticate to FTP resource using current user credentials, `false` otherwise

    - #### setUsingCredentials

          public void setUsingCredentials(boolean value)

      Sets use user credentials. When it is `true` user will authenticate to FTP resource with the current user credentials
      Parameters:
        `value` - Indicates use current user credentials

    - #### isUseAdaptiveConnection

          public boolean isUseAdaptiveConnection()

    - #### setUseAdaptiveConnection

          public void setUseAdaptiveConnection(boolean value)

    - #### isStartSubsystemReplyRequired

          public boolean isStartSubsystemReplyRequired()

    - #### setStartSubsystemReplyRequired

          public void setStartSubsystemReplyRequired(boolean value)

    - #### getRemoteDirectory

          public com.jscape.inet.mft.RemoteDirectory getRemoteDirectory()

      Specified by:
        `getRemoteDirectory` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>`

    - #### setRemoteDirectory

          public void setRemoteDirectory(com.jscape.inet.mft.RemoteDirectory value)

      Specified by:
        `setRemoteDirectory` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>`

    - #### getLogDirectory

          public java.lang.String getLogDirectory()

    - #### setLogDirectory

          public void setLogDirectory(java.lang.String value)

    - #### getTimeToLive

          public java.lang.Long getTimeToLive()

      Specified by:
        `getTimeToLive` in interface `ResourceDescriptor`

    - #### setTimeToLive

          public void setTimeToLive(java.lang.Long value)

    - #### getTags

          public java.lang.String[] getTags()

      Specified by:
        `getTags` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>`

    - #### setTags

          public void setTags(java.lang.String[] value)

      Specified by:
        `setTags` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>`

    - #### getCreationDate

          public long getCreationDate()

      Specified by:
        `getCreationDate` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>`

    - #### setCreationDate

          public void setCreationDate(long value)

      Specified by:
        `setCreationDate` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>`

    - #### getVersion

          public int getVersion()

      Specified by:
        `getVersion` in interface `com.jscape.util.db.IntVersioned`

    - #### setVersion

          public void setVersion(int value)

      Specified by:
        `setVersion` in interface `com.jscape.util.db.IntVersioned`

    - #### copy

          public SftpResourceDescriptor copy()

      Specified by:
        `copy` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>`

    - #### accept

          public void accept(SftpResourceDescriptor.Handler handler)
                      throws java.lang.Exception

      Specified by:
        `accept` in interface `com.jscape.inet.mft.resources.RemoteResourceDescriptor<SftpResourceDescriptor.Handler>`
      Throws:
        `java.lang.Exception`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2020. All Rights Reserved